curl --request GET \
--url https://services.leadconnectorhq.com/payments/transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"_id": "61dd0feac077f72010f78804",
"altType": "location",
"altId": "3SwdhCu3svxI8AKsPJt6",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"currency": "USD",
"amount": "100",
"status": "succeeded",
"liveMode": "false",
"entityType": "order",
"entityId": "61dd0fe9c077f73e67f78803",
"entitySource": "{ type: \"funnel\", id: \"BDBMEghdIUaqMPEsK349\", subType: \"two_step_order_form\", name: \"new funnel\" }",
"chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
"chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"GHL-Testing\" }",
"invoiceId": "in_1KGcXDCScnf89tZohCsmImwE",
"subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
"paymentProvider": "{ type: \"stripe\", connectedAccount: { _id: \"612ca676b484b241fef9d962\", accountId: \"acct_1Ihw53CScnf89tZo\" } }",
"ipAddress": "107.178.194.224",
"meta": "{ stepId: \"af7c731e-e36f-4152-bd1a-3f69a31d6d6d\", pageId: \"A8ltotc2jZxurJba4e3Y\", pageUrl: \"/v2/preview/A8ltotc2jZxurJba4e3Y\" }",
"markAsTest": "false",
"isParent": "false",
"amountRefunded": "10",
"receiptId": "6492fbea489bc07892c6defb",
"qboSynced": "false",
"qboResponse": "{ domain: \"QBO\", sparse: false, Id: \"180\", SyncToken: \"0\", TotalAmt: 25 }",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
"createdBy": "user123"
}The “Get Transaction by ID” API allows to retrieve information for a specific transaction using its unique identifier. Use this endpoint to fetch details for a single transaction based on the provided transaction ID.
curl --request GET \
--url https://services.leadconnectorhq.com/payments/transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"_id": "61dd0feac077f72010f78804",
"altType": "location",
"altId": "3SwdhCu3svxI8AKsPJt6",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"currency": "USD",
"amount": "100",
"status": "succeeded",
"liveMode": "false",
"entityType": "order",
"entityId": "61dd0fe9c077f73e67f78803",
"entitySource": "{ type: \"funnel\", id: \"BDBMEghdIUaqMPEsK349\", subType: \"two_step_order_form\", name: \"new funnel\" }",
"chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
"chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"GHL-Testing\" }",
"invoiceId": "in_1KGcXDCScnf89tZohCsmImwE",
"subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
"paymentProvider": "{ type: \"stripe\", connectedAccount: { _id: \"612ca676b484b241fef9d962\", accountId: \"acct_1Ihw53CScnf89tZo\" } }",
"ipAddress": "107.178.194.224",
"meta": "{ stepId: \"af7c731e-e36f-4152-bd1a-3f69a31d6d6d\", pageId: \"A8ltotc2jZxurJba4e3Y\", pageUrl: \"/v2/preview/A8ltotc2jZxurJba4e3Y\" }",
"markAsTest": "false",
"isParent": "false",
"amountRefunded": "10",
"receiptId": "6492fbea489bc07892c6defb",
"qboSynced": "false",
"qboResponse": "{ domain: \"QBO\", sparse: false, Id: \"180\", SyncToken: \"0\", TotalAmt: 25 }",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
"createdBy": "user123"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 ID of the transaction that needs to be returned
"61dd0feac077f72010f78804"
LocationId is the id of the sub-account.
"3SwdhCu3svxI8AKsPJt6"
AltId is the unique identifier e.g: location id.
"3SwdhCu3svxI8AKsPJt6"
AltType is the type of identifier.
"location"
Successful response
The unique identifier for the transaction.
"61dd0feac077f72010f78804"
AltType is the type of identifier.
"location"
AltId is the unique identifier eg: location id.
"3SwdhCu3svxI8AKsPJt6"
The creation timestamp of the transaction.
"2023-11-20T10:23:36.515Z"
The last update timestamp of the transaction.
"2024-01-23T09:57:04.846Z"
Contact id corresponding to the transaction.
"XPLSw2SVagl12LMDeTmQ"
Contact details of the transaction.
"{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}"
Currency in which transaction was made.
"USD"
Transaction value.
"100"
Transaction status.
"succeeded"
Transaction is in live / test mode.
"false"
Entity type of transaction (eg: order).
"order"
Entity id for the transaction. e.g: order id
"61dd0fe9c077f73e67f78803"
Show child attributes
"{ type: \"funnel\", id: \"BDBMEghdIUaqMPEsK349\", subType: \"two_step_order_form\", name: \"new funnel\" }"
Charge id for transaction.
"in_1KGcXDCScnf89tZohCsmImwE"
Charge snapshot of transaction.
"{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"GHL-Testing\" }"
Invoice id for the transaction.
"in_1KGcXDCScnf89tZohCsmImwE"
Subscription id for transaction.
"sub_1KGcXDCScnf89tZoVkoEMCEL"
Payment provider details of the transaction.
"{ type: \"stripe\", connectedAccount: { _id: \"612ca676b484b241fef9d962\", accountId: \"acct_1Ihw53CScnf89tZo\" } }"
Ip address from where transaction was initiated.
"107.178.194.224"
Meta details of the transaction.
"{ stepId: \"af7c731e-e36f-4152-bd1a-3f69a31d6d6d\", pageId: \"A8ltotc2jZxurJba4e3Y\", pageUrl: \"/v2/preview/A8ltotc2jZxurJba4e3Y\" }"
Is test transaction.
"false"
Is parent transaction.
"false"
Transaction amount refunded.
"10"
Receipt id for transaction.
"6492fbea489bc07892c6defb"
Is transaction qbo synced.
"false"
Qbo details of the transaction.
"{ domain: \"QBO\", sparse: false, Id: \"180\", SyncToken: \"0\", TotalAmt: 25 }"
Trace id of the transaction.
"d3b16a92-a8ed-4e6b-8467-844750f78ed5"
ID of the contact that was merged from.
"XPLSw2SVagl12LMDeTmQ"
User ID who created the transaction.
"user123"
Was this page helpful?